View Issue Details

IDProjectCategoryView StatusLast Update
0001880XdebugInstallationpublic2020-11-14 16:15
Reporterrjung Assigned Toderick  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0.0beta1 
Target Version3.0.0RC1Fixed in Version3.0.0RC1 
Summary0001880: Bundled unit test tests/debugger/bug00886.phar misses to load phar extension
DescriptionWe are building phar as a dynamically loadable extension but tests/debugger/bug00886.phar misses to load it into the php child provess running under the debugger. So the test fails. After Adding "extension" => "phar.so" to the options used to start the provcess, the test PASSes.

Note that extensions added to the outer PHP process do not get automatically passes to the debugged child PHP process created by tests/debugger/dbgp/dbgpclient.php.
Steps To ReproduceBuild PHP with dynamically loadable phar extension. Then:

TESTS=tests/debugger/bug00886.phar
make test
Tagstest
Operating SystemAny
PHP Version8.0-dev

Activities

derick

2020-11-05 16:49

administrator   ~0005504

https://github.com/xdebug/xdebug/pull/681

derick

2020-11-11 10:43

administrator   ~0005514

Fixed through https://github.com/xdebug/xdebug/pull/681

Issue History

Date Modified Username Field Change
2020-11-05 16:06 rjung New Issue
2020-11-05 16:06 rjung Tag Attached: test
2020-11-05 16:49 derick Note Added: 0005504
2020-11-11 10:43 derick Assigned To => derick
2020-11-11 10:43 derick Status new => closed
2020-11-11 10:43 derick Resolution open => fixed
2020-11-11 10:43 derick Fixed in Version => 3.0.0RC1
2020-11-11 10:43 derick Note Added: 0005514
2020-11-14 16:15 derick Target Version => 3.0.0RC1